%define upstream_name    Carp
%define upstream_version 1.36

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    2
Summary:    Alternative warn and die for modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(parent)
BuildRequires: perl(overload)
BuildRequires: perl(ExtUtils::MakeMaker) >= 7.40.0
BuildRequires: perl(Test::More) >= 1.1.9
BuildRequires: perl(Exporter)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel


BuildArch: noarch

%description
The Carp routines are useful in your own modules because they act like
'die()' or 'warn()', but with a message which is more likely to be useful
to a user of your module. In the case of 'cluck()' and 'confess()', that
context is a summary of every call in the call-stack; 'longmess()' returns
the contents of the error message.

For a shorter message you can use 'carp()' or 'croak()' which report the
error as being from where your module was called. 'shortmess()' returns the
contents of this error message. There is no guarantee that that is where
the error was, but it is a good educated guess.

'Carp' takes care not to clobber the status variables '$!' and '$^E' in the
course of assembling its error messages. This means that a '$SIG{__DIE__}'
or '$SIG{__WARN__}' handler can capture the error information held in those
variables, if it is required to augment the error message, and if the code
calling 'Carp' left useful values there. Of course, 'Carp' can't guarantee
the latter.

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json META.yml README Changes
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog

* Tue Oct 06 2015 Denis Silakov <dsilakov@gmail.com> 1.360.0-2
- (76a02e7) Spec cleanup


